Ptex: PtexIO Struct Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Static Public Member Functions | Static Public Attributes | List of all members
PtexIO Struct Reference

`#include <PtexIO.h>`

Inheritance diagram for PtexIO:

## Classes
struct | EditFaceDataHeader
struct | EditMetaDataHeader
struct | ExtHeader
struct | FaceDataHeader
struct | Header
struct | LevelInfo

## Public Types
enum | Encoding { enc_constant, enc_zipped, enc_diffzipped, enc_tiled }
enum | EditType { et_editfacedata, et_editmetadata }
Public Types inherited from Ptex
enum | MeshType { mt_triangle, mt_quad }
| Type of base mesh for which the textures are defined. More...
enum | DataType { dt_uint8, dt_uint16, dt_half, dt_float }
| Type of data stored in texture file. More...
enum | BorderMode { m_clamp, m_black, m_periodic }
| How to handle mesh border when filtering. More...
enum | EdgeId { e_bottom, e_right, e_top, e_left }
| Edge IDs used in adjacency data in the Ptex::FaceInfo struct. More...
enum | MetaDataType { mdt_string, mdt_int8, mdt_int16, mdt_int32, mdt_float, mdt_double }
| Type of meta data entry. More...

## Static Public Member Functions
static bool | LittleEndian ()
Static Public Member Functions inherited from Ptex
static const char * | MeshTypeName (MeshType mt)
| Look up name of given mesh type. More...
static const char * | DataTypeName (DataType dt)
| Look up name of given data type. More...
static const char * | BorderModeName (BorderMode m)
| Look up name of given border mode. More...
static const char * | EdgeIdName (EdgeId eid)
| Look up name of given edge ID. More...
static const char * | MetaDataTypeName (MetaDataType mdt)
| Look up name of given meta data type. More...
static int | DataSize (DataType dt)
| Look up size of given data type (in bytes). More...
static float | OneValue (DataType dt)
| Look up value of given data type that corresponds to the normalized value of 1.0. More...
static float | OneValueInv (DataType dt)
| Lookup up inverse value of given data type that corresponds to the normalized value of 1.0. More...
static void | ConvertToFloat (float *dst, const void *src, Ptex::DataType dt, int numChannels)
| Convert a number of data values from the given data type to float. More...
static void | ConvertFromFloat (void *dst, const float *src, Ptex::DataType dt, int numChannels)
| Convert a number of data values from float to the given data type. More...

## Static Public Attributes
static const uint32_t | Magic = 'P' | ('t'<<8) | ('e'<<16) | ('x'<<24)
static const int | HeaderSize = sizeof(Header)
static const int | ExtHeaderSize = sizeof(ExtHeader)
static const int | LevelInfoSize = sizeof(LevelInfo)
static const int | FaceDataHeaderSize = sizeof(FaceDataHeader)
static const int | EditFaceDataHeaderSize = sizeof(EditFaceDataHeader)
static const int | EditMetaDataHeaderSize = sizeof(EditMetaDataHeader)
static const int | IBuffSize = 8192
static const int | BlockSize = 16384
static const int | TileSize = 65536
static const int | AllocaMax = 16384
static const int | MetaDataThreshold = 1024

## Detailed Description

Definition at line 41 of file PtexIO.h.

## Member Enumeration Documentation

enum PtexIO::EditType

Enumerator
et_editfacedata |
et_editmetadata |

Definition at line 88 of file PtexIO.h.

enum PtexIO::Encoding

Enumerator
enc_constant |
enc_zipped |
enc_diffzipped |
enc_tiled |

Definition at line 77 of file PtexIO.h.

## Member Function Documentation

static bool PtexIO::LittleEndian | ( |  | ) |
| inlinestatic

Definition at line 114 of file PtexIO.h.

Referenced by PtexReader::open().

## Member Data Documentation

const int PtexIO::AllocaMax = 16384
| static

Definition at line 111 of file PtexIO.h.

Referenced by PtexReader::readFaceData(), PtexReader::readLargeMetaDataHeaders(), PtexReader::readMetaDataBlock(), PtexWriterBase::writeFaceBlock(), and PtexWriterBase::writeReduction().

const int PtexIO::BlockSize = 16384
| static

Definition at line 109 of file PtexIO.h.

Referenced by PtexWriterBase::copyBlock(), PtexReader::readFace(), PtexReader::readZipBlock(), PtexWriterBase::writeBlank(), and PtexWriterBase::writeZipBlock().

const int PtexIO::EditFaceDataHeaderSize = sizeof(EditFaceDataHeader)
| static

Definition at line 104 of file PtexIO.h.

Referenced by PtexReader::readEditFaceData().

const int PtexIO::EditMetaDataHeaderSize = sizeof(EditMetaDataHeader)
| static

Definition at line 105 of file PtexIO.h.

Referenced by PtexReader::readEditMetaData().

const int PtexIO::ExtHeaderSize = sizeof(ExtHeader)
| static

Definition at line 101 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexIncrWriter::finish(), PtexReader::open(), and PtexIncrWriter::PtexIncrWriter().

const int PtexIO::FaceDataHeaderSize = sizeof(FaceDataHeader)
| static

Definition at line 103 of file PtexIO.h.

Referenced by PtexReader::readFaceData(), and PtexReader::readLevel().

const int PtexIO::HeaderSize = sizeof(Header)
| static

Definition at line 100 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), PtexIncrWriter::finish(), PtexReader::open(), and PtexIncrWriter::PtexIncrWriter().

const int PtexIO::IBuffSize = 8192
| static

Definition at line 108 of file PtexIO.h.

const int PtexIO::LevelInfoSize = sizeof(LevelInfo)
| static

Definition at line 102 of file PtexIO.h.

Referenced by PtexMainWriter::finish(), and PtexReader::readLevelInfo().

const uint32_t PtexIO::Magic = 'P' | ('t'<<8) | ('e'<<16) | ('x'<<24)
| static

Definition at line 99 of file PtexIO.h.

Referenced by PtexReader::open(), PtexIncrWriter::PtexIncrWriter(), and PtexWriterBase::PtexWriterBase().

const int PtexIO::MetaDataThreshold = 1024
| static

Definition at line 112 of file PtexIO.h.

Referenced by PtexMainWriter::writeMetaData().

const int PtexIO::TileSize = 65536
| static

Definition at line 110 of file PtexIO.h.

Referenced by PtexWriterBase::calcTileRes().

The documentation for this struct was generated from the following file:

- PtexIO.h